<?php
echo "<div class='aut'>Продать постройку</div>\n";
       $id=intval($_GET['id']);
  if(mysql_result(mysql_query("SELECT COUNT(*) FROM `empire_stroi` WHERE `id`='$id' AND `id_u`='$user[id]'"),0)!='0'){
  $pp=mysql_fetch_array(mysql_query("SELECT * FROM `empire_stroi` WHERE `id`='$id'"));
  $derevo=$pp['derevo'];
  $gelezo=$pp['gelezo'];
  $zoloto=$pp['zoloto']+1;
  if(!isset($_GET['ok'])){
    echo "<div class='f1'>Вы действительно желаете продать ".$pp['name']." за $derevo дерева, $gelezo железа, $zoloto золота?<br/>\n";
 echo "<a href='?do=20&amp;id=$id&amp;ok'><b>Да!</b></a>|<a href='?do=0'>нет!</a></div>\n";
  }
  else
  {
    mysql_query("UPDATE `empire` SET `zoloto`=`zoloto`+$zoloto , `derevo`=`derevo`+$derevo , `gelezo`=`gelezo`+$gelezo WHERE `id_u`='$user[id]' LIMIT 1");
    mysql_query("DELETE FROM `empire_stroi` WHERE `id`='$id' LIMIT 1");
    msg('Успешно проданно');
  
  }
}
else
{
echo "<div class='err'>У вас нет такой постройки</div>\n";
}
echo "<div class='aut'><a href='?do=0'>Назад</a></div>";
?>